%define nspr_version 4.6
%define nss_version 3.11
%define svrcore_version 4.0
%define mozldap_version 6.0
%define icu_version 3.4

Summary: Fedora Directory Adminserver
Name: fedora-ds-adminserver
Version: 1.1.6
Release: alt0.M41
License: GPL
Url: http://directory.fedoraproject.org/
Group: System/Servers
BuildRequires: gcc-c++
BuildRequires: fedora-ds
BuildRequires: fedora-ds-adminutil-devel
BuildRequires: libnspr-devel >= %nspr_version
BuildRequires: libnss-devel >= %nss_version
BuildRequires: libsvrcore-devel >= %svrcore_version
BuildRequires: mozldap-devel >= %mozldap_version
BuildRequires: libicu-devel >= %icu_version
BuildRequires: icu >= %icu_version
BuildRequires: libsasl2-devel
BuildRequires: apache2-devel,apache2-httpd-worker
BuildRequires: apache2-mod_nss
BuildRequires: perl-libnet
BuildRequires: perl-Mozilla-LDAP
Requires: apache2-httpd-worker
Requires: apache2-mod_nss
Requires: apache2-mod_revocator
Requires: fedora-ds
Requires: perl-CGI
Requires: libsvrcore

Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: %name-%version.tar.bz2
Patch1: %name-configure-alt.patch
Patch2: %name-name-alt.patch
Patch3: %name-initscript-alt.patch
Patch4: %name-libtool-alt.patch
Patch5: %name-selinux-alt.patch
Patch6: %name-genrb.patch

AutoReq: yes, noperl

%description
Administration Server for Fedora Directory Server. Use setup-ds-admin.pl to setup adminserver.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
rm -rf config
%__autoreconf
%patch4 -p1

%build
export icu_lib=-L%_libdir/
export adminutil_lib=-L%_libdir/
export setuputil_lib=-L%_libdir/
export adminutil_inc=/usr/include/libadminutil/
export setuputil_inc=/usr/include/setuputil/
./configure --prefix=/usr --exec-prefix=/usr --bindir=%_bindir --sbindir=%_sbindir --sysconfdir=%_sysconfdir \
 --datadir=%_datadir --includedir=%_includedir --libdir=%_libdir --libexecdir=%_libexecdir --localstatedir=/var \
 --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --with-modnss-lib=%_libdir/apache2/modules/ \
 --with-httpd=%_sbindir/httpd2.worker --with-apxs=%_sbindir/apxs2
%make

%install

%make_install DESTDIR=%buildroot install
#mv %buildroot%_bindir/register_server.pl %buildroot%_bindir/register_server.old
#echo "#! %_bindir/perl -I%_libdir/fedora-ds/perl" > %buildroot%_bindir/register_server.pl
#%__cat %buildroot%_bindir/register_server.old >> %buildroot%_bindir/register_server.pl
#rm -f %buildroot%_bindir/register_server.old
%__subst 's|%_libdir/httpd|%_libdir/apache2|' %buildroot%_sysconfdir/fedora-ds/admin-serv/*.conf
%__subst 's|libmodnss.so|mod_nss.so|' %buildroot%_sysconfdir/fedora-ds/admin-serv/*.conf
%__subst 's|%_sysconfdir/mime.types|%_sysconfdir/httpd2/conf/mime.types|' %buildroot%_sysconfdir/fedora-ds/admin-serv/*.conf
%__subst 's|LoadModule file_cache_module|#LoadModule file_cache_module|' %buildroot%_sysconfdir/fedora-ds/admin-serv/*.conf
%__subst 's|HostnameLookups off|HostnameLookups on|' %buildroot%_sysconfdir/fedora-ds/admin-serv/httpd.conf

%post 
%post_ldconfig
%post_service fedora-ds-admin

%preun
%preun_service fedora-ds-admin

%postun 
%post_ldconfig

%files
%doc COPYING AUTHORS NEWS README
%_libdir/*
%_sbindir/*
%_datadir/fedora-ds
%dir                    %_sysconfdir/fedora-ds/admin-serv
%config(noreplace)      %_sysconfdir/fedora-ds/admin-serv/*.conf
%config(noreplace)      %_sysconfdir/sysconfig/fedora-ds-admin
%_initdir/fedora-ds-admin

%changelog
* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.6-alt0.M41
- M41 backport

* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Fri Aug 01 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Wed May 07 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Tue Jan 08 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.1-alt1
- Fedora-DS 1.1 Final release
- Resolve bug 357501: Console/admin express: can't view log files
- Resolve bug 186280: Close potential security vulnerabilities in CGI code
- Resolve bug 370071: Fixed issues with loading CRL files.
- Resolve bug 383301: Admin Server main html page refers to dsgw, org
- Resolve bug 368481: Unable to change Admin Server log paths in Console
- Resolve bug 370071: Fixed malloc issue when importing a CRL.
- Resolve bug 400341: Be sure to only change admin user's password in change-sie-password.
- Resolve bug 411231: [Admin express] help button brings up an error page
- Resolve bug 400421: unable to restart configDS via console
- Resolve bug 407011: GIF missing on the front page for admin web ui
- Resolve bug 420751: Console admin user unable to manage users&groups
- Resolve bug 425861: Instance creation through console is broken
- Resolve bug 425849: migrate-ds-admin.pl spins at 100 cpu
- Resolve bug 426056: Unable to connect to admin express via SSL - firefox cipher issues?

* Tue Oct 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071030
- CVS snapshot 20071030
- Resolves bug 317651: Clean up setup dialog text
- patches rename

* Mon Oct 08 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071008
- CVS snapshot 20071008

* Wed May 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0
- Initial
